Name: wv
Version: 0.7.4
Release: alt1

Summary: MSWord 6/7/8/9 binary file format -> HTML converter
License: GPL
Group: Office
Url: http://www.wvWare.com/
Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Source: http://prdownloads.sourceforge.net/wvware/%name-%version.tar.bz2
Patch0: %name-0.7.2-alt-libwmf-hack.patch
#Patch1: %name-0.7.2-build.patch

Obsoletes: mswordview

Prefix: %prefix

# Automatically added by buildreq on Tue Dec 17 2002
BuildRequires: XFree86-devel XFree86-libs freetype2-devel gcc-c++ glib-devel gnome-libs-devel libImageMagick-devel libexpat-devel libjpeg-devel liblcms libpng-devel libwmf-devel zlib-devel

%package devel
Summary: MSWord 6/7/8/9 binary file format -> HTML converter (development)
Group: Development/C
Requires: %name = %version-%release
Provides: %name-devel-static = %version-%release

%package tetex
Summary: MSWord 6/7/8/9 binary file format -> HTML converter (Tetex)
Group: Office
Requires: %name = %version-%release

%description
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.

%description devel
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.

This is the development package with headers
and the static libwv.a library.

%description tetex
Tetex addons for %name

%prep
%setup -q
%patch0 -p1 -b .patch-libwmf

%build
%configure \
    --with-expat \
    --with-Magick=%prefix \
    --with-libwmf
    #--with-libxml2 \

#NO SMP
%make

%install
%makeinstall
# uggly fix for symlink /usr/bin/wvText to wvConvert.
#ln -sf wvConvert $RPM_BUILD_ROOT%_bindir/wvText
# the following file seems not to be used by any wv executable.
rm -f notes/decompress/a.out

%files
%doc CHANGELOG CREDITS README KNOWN-BUGS
%_bindir/wvAbw
%_bindir/wvConvert
%_bindir/wvHtml
%_bindir/wvRTF
#%_bindir/wvSimpleCLX
%_bindir/wvSummary
%_bindir/wvText
%_bindir/wvVersion
%_bindir/wvWare
%_bindir/wvWml
%_bindir/make_epses.sh
%_datadir/wv/wvAbw.xml
%_datadir/wv/wvConfig.xml
%_datadir/wv/wvHtml.xml
%_datadir/wv/wvText.xml
%_datadir/wv/wvWml.xml
%_datadir/wv/patterns
%_datadir/wv/wingdingfont
%_man1dir/*

%files tetex
%_bindir/wvPS
%_bindir/wvPDF
%_bindir/wvDVI
%_bindir/wvLatex
%_bindir/wvCleanLatex
%_bindir/wvMime
%_datadir/wv/wvCleanLaTeX.xml
%_datadir/wv/wvLaTeX.xml

%files devel
%doc ABIWORD-SUGGESTIONS
%doc D_CREDITS D_README HACKING INSTALL TESTING
%doc TODO.TXT Documentation
%doc examples feature-examples gateway helper-scripts notes
%_bindir/wv-*config
%_includedir/*
%_libdir/libwv.a

%changelog
* Tue Dec 17 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.4-alt1
- 0.7.4
- rebuild with libwmf 0.2.8

* Thu Sep 26 2002 Stanislav Ievlev <inger@altlinux.ru> 0.7.2-alt1.2
- rebuild with libwmf 0.2.6
- added hack to build (we need to rebuild all programs with -I/usr/include -L/usr/lib)

* Mon Jun 17 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.7.2-alt1
- 0.7.2
- Filelist cleanup
- Abolished -devel-static; when libwv.so becomes norm, add it again
- (inger)fixed build

* Thu Nov 29 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.7.0-alt1
- 0.7.0
- Rebuild with new libwmf 0.2.2
- Removed charset patch - in wv now

* Sat Nov 03 2001 Rider <rider@altlinux.ru> 0.6.7-alt1
- 0.6.7

* Thu Oct 11 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.6.5-alt4
- Rebuilt with libpng.so.3

* Mon Aug 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.6.5-alt3
- Rebuilt with new libwmf
- Some spec cleanup
- Added wv-tetex & wv-devel-static packages

* Mon Jun 4 2001 AEN <aen@logic.ru> 0.6.5-alt2
- %files fixed

* Thu May 10 2001 Rider <rider@altlinux.ru> 0.6.5-alt1
- 0.6.5

* Tue Feb 6 2001  AEN <aen@logic.ru>
- build for new release

* Thu May 25 2000 AEN <aen@logic.ru>
- 0.5.44
- 1251 support

* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 0.5.14bw6-2mdk
- updated Group.

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- updated to mswordview-0.5.14-bw6
- added install of config-mswordview
- Build Release

* Fri Jul 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated to  mswordview-0.5.14-bw3

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix path problems.

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix compilations problem.
- 0.5.14-bw2

* Sat Apr 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Update to 5.8.
- Mandrake adaptations.

* Tue Dec 29 1998 Ryan Weaver <ryanw@infohwy.com>
  [mswordview-0.5.2-1]
- Updated to MSWordView-0.5.2
- Changes up to 0.5.2
  * implemented auto text color colour check for table cells, no more
    black on black, or black on blue. i must look closely at what other
    auto changes word makes.
  * some uber-simple greyscaling code when table look says no-color.
  * verified it works under AIX, made a few changes that showed up due
    to its stricter malloc, theres probably a few more malloc related
    issues hiding in there.
  * column breaks show up as well now.
  * the various types of section breaks are distinguisable from the
    others, and from page breaks.
  * a few changes to make sure formatting and tables get on better
    together.
  * sequence field supported, i.e caption numbering, i just use the last
    fields that msword left in there.
  * changed hyperlinking so that it works with bookmarks that are in
    comments (annotations).
  * i now support multiple bookmarks that end on the same location.
  * multiple bookmarks that start on the same location should be supported,
    but no examples yet.
  * the comment author initials are extracted and used in the main document
    when referencing comments.
  * comments now end when they are supposed to, only the correct comments get
    included, should work for fastsave, not tested.
  * removed unused variables, sorted out a few other warnings, maybe itll
    squeak by the irix compiler now ?
  * names and initial info for comments is extracted as well, and stuck in a
    table at the end of the document.
  * fixed the <a name= for comments, should work in fast saved.
  * custom graphics for annotations.
